# org.pdfclown.documents.contents.composition.TextFitter Class Reference

Text fitter. More...

List of all members.

## Public Member Functions
bool | Fit (int index, double width, bool unspacedFitting)
| Fits the text inside the specified width.
bool | Fit (bool unspacedFitting)
| Fits the text inside the specified width.
## Properties
int | BeginIndex = (\s*)(\S*)"`[get]`
| Gets the begin index of the fitted text inside the available text.
int | EndIndex`[get]`
| Gets the end index of the fitted text inside the available text.
string | FittedText`[get]`
| Gets the fitted text.
double | FittedWidth`[get]`
| Gets the fitted text's width.
Font | Font`[get]`
| Gets the font used to fit the text.
double | FontSize`[get]`
| Gets the size of the font used to fit the text.
bool | Hyphenation`[get]`
| Gets whether the hyphenation algorithm has to be applied.
char | HyphenationCharacter`[get]`
| Gets/Sets the character shown at the end of the line before a hyphenation break.
string | Text`[get]`
| Gets the available text.
double | Width`[get]`
| Gets the available width.

##

Text fitter.

## Member Function Documentation

bool org.pdfclown.documents.contents.composition.TextFitter.Fit | ( | int | index,
|  | double | width,
|  | bool | unspacedFitting |
| ) |  |  |

Fits the text inside the specified width.

Parameters:

  | index | Beginning index, inclusive.
  | width | Available width.
  | unspacedFitting | Whether fitting of unspaced text is allowed.

Returns:
  Whether the operation was successful.

References org.pdfclown.documents.contents.fonts.Font.GetWidth().

bool org.pdfclown.documents.contents.composition.TextFitter.Fit | ( | bool | unspacedFitting | ) |

Fits the text inside the specified width.

Parameters:

  | unspacedFitting | Whether fitting of unspaced text is allowed.

Returns:
  Whether the operation was successful.

Referenced by org.pdfclown.documents.contents.composition.BlockComposer.ShowText().

## Property Documentation

int org.pdfclown.documents.contents.composition.TextFitter.BeginIndex = (\s*)(\S*)"`[get]`

Gets the begin index of the fitted text inside the available text.

int org.pdfclown.documents.contents.composition.TextFitter.EndIndex`[get]`

Gets the end index of the fitted text inside the available text.

Referenced by org.pdfclown.documents.contents.composition.BlockComposer.ShowText().

string org.pdfclown.documents.contents.composition.TextFitter.FittedText`[get]`

Gets the fitted text.

Referenced by org.pdfclown.documents.contents.composition.BlockComposer.ShowText().

double org.pdfclown.documents.contents.composition.TextFitter.FittedWidth`[get]`

Gets the fitted text's width.

Referenced by org.pdfclown.documents.contents.composition.BlockComposer.ShowText().

Font org.pdfclown.documents.contents.composition.TextFitter.Font`[get]`

Gets the font used to fit the text.

double org.pdfclown.documents.contents.composition.TextFitter.FontSize`[get]`

Gets the size of the font used to fit the text.

bool org.pdfclown.documents.contents.composition.TextFitter.Hyphenation`[get]`

Gets whether the hyphenation algorithm has to be applied.

char org.pdfclown.documents.contents.composition.TextFitter.HyphenationCharacter`[get]`

Gets/Sets the character shown at the end of the line before a hyphenation break.

string org.pdfclown.documents.contents.composition.TextFitter.Text`[get]`

Gets the available text.

double org.pdfclown.documents.contents.composition.TextFitter.Width`[get]`

Gets the available width.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.